Skip to main content
Resource Center/Hardware/Host Operations/SR-IOV Operations

ChangeVfNicHaState

ChangeVfNicHaState

PUT/zstack/v1/vm-instances/nics/{vfNicUuid}/actions

Operation ID

ChangeVfNicHaState

Since

5.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vfNicUuid
    StringRequired

    VfNic UUID

Body Fields

  • haState
    StringRequired

    Ha state.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    VmVfNicInventoryRequired

    See inventory

    • pciDeviceUuid
      StringRequired

      The pci device UUID.

    • haState
      StringRequired

      The hastate.

    • uuid
      StringRequired

      The resource UUID.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • l3NetworkUuid
      StringRequired

      The L3 network UUID.

    • ip
      StringRequired

      The IP address.

    • mac
      StringRequired

      The MAC address.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • netmask
      StringRequired

      The netmask.

    • gateway
      StringRequired

      The gateway IP address.

    • metaData
      StringRequired

      The metadata.

    • ipVersion
      IntegerRequired

      The IP version.

    • driverType
      StringRequired

      The driver type.

    • internalName
      StringRequired

      The internal name.

    • deviceId
      IntegerRequired

      The device ID.

    • type
      StringRequired

      The resource type.

    • state
      StringRequired

      The resource state.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • usedIps
      ListRequired

      See usedIps

      • uuid
        StringRequired

        The resource UUID.

      • ipRangeUuid
        StringRequired

        The ip range UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • ipVersion
        IntegerRequired

        The IP version.

      • ip
        StringRequired

        The IP address.

      • netmask
        StringRequired

        The netmask.

      • gateway
        StringRequired

        The gateway IP address.

      • usedFor
        StringRequired

        The intended use.

      • ipInLong
        longRequired

        The IP address represented as a long integer.

      • vmNicUuid
        StringRequired

        The VM Nic UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.